﻿@model ProductDto

<form asp-action="ProductEdit">
    <input asp-for="ProductId" hidden="hidden"/>
    <br />
    <div class="container border p-3">
        <h1 class="text-primary">Edit Product</h1>

        <hr/>
        <div class="row">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="col-2">
                <label asp-for="Name" class="control-label pt-2" style="font-size:20px;"></label>
            </div>
            <div class="col-10 pb-3">
                <input asp-for="Name" class="form-control"/>
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="col-2">
                <label asp-for="CategoryName" class="control-label pt-2" style="font-size:20px;"></label>
            </div>
            <div class="col-10 pb-3">
                <input asp-for="CategoryName" class="form-control"/>
                <span asp-validation-for="CategoryName" class="text-danger"></span>
            </div>
            <div class="col-2">
                <label asp-for="Description" class="control-label pt-2" style="font-size:20px;"></label>
            </div>
            <div class="col-10 pb-3">
                <textarea asp-for="Description" class="form-control" rows="5"></textarea>
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="col-2">
                <label asp-for="ImageUrl" class="control-label pt-2" style="font-size:20px;"></label>
            </div>
            <div class="col-10 pb-3">
                <input asp-for="ImageUrl" class="form-control"/>
                <span asp-validation-for="ImageUrl" class="text-danger"></span>
            </div>
            <div class="col-2">
                <label asp-for="Price" class="control-label pt-2" style="font-size:20px;"></label>
            </div>
            <div class="col-10 pb-3">
                <input asp-for="Price" class="form-control"/>
                <span asp-validation-for="Price" class="text-danger"></span>
            </div>
            <div class="col-5 offset-2">
                <a asp-action="Index" class="btn-primary btn form-control ">Back to List</a>
            </div>
            <div class="col-5">
                <input type="submit" value="Update" class="btn btn-success form-control"/>

            </div>

        </div>

        <div>
        </div>
    </div>
</form>

@section Scripts {
    <partial name="_ValidationScriptsPartial"/>
}